Difference between revisions of "Draft Rotate/cs"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(5 intermediate revisions by the same user not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
{{Docnav
 +
|[[Draft_Move|Move]]
 +
|[[Draft_Offset|Offset]]
 +
|[[Draft_Module|Draft]]
 +
|IconL=Draft_Move.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Offset.svg
 +
}}
 +
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/cs|Name=Draft Rotate|Name/cs=Kreslení Otočit|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení → Otočit|Shortcut=R O}}
 
{{GuiCommand/cs|Name=Draft Rotate|Name/cs=Kreslení Otočit|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení → Otočit|Shortcut=R O}}
 +
</div>
  
 
==Popis==
 
==Popis==
  
 +
<div class="mw-translate-fuzzy">
 
Nástroj Otočit otáčí nebo kopíruje vybrané objekty o zadaný úhel kolem bodu v aktuální [[Draft SelectPlane/cs|pracovní rovině]]. Není-li vybrán žádný objekt, budete vyzváni k výběru objektu.
 
Nástroj Otočit otáčí nebo kopíruje vybrané objekty o zadaný úhel kolem bodu v aktuální [[Draft SelectPlane/cs|pracovní rovině]]. Není-li vybrán žádný objekt, budete vyzváni k výběru objektu.
 +
</div>
 +
 +
The Rotate tool can be used on 2D shapes created with the [[Draft Workbench|Draft Workbench]] or [[Sketcher Workbench|Sketcher Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench|Part Workbench]] or [[Arch Workbench|Arch Workbench]].
 +
 +
To move without rotation, use [[Draft Move]]. To produce various copies in different arrangements use [[Draft Array|Draft Array]], [[Draft PathArray|Draft PathArray]] and [[Draft PointArray|Draft PointArray]].
  
 
[[Image:Draft_Rotate_example.jpg|400px]]
 
[[Image:Draft_Rotate_example.jpg|400px]]
 +
{{Caption|Rotating one object using a center reference point, from one reference angle to another angle}}
  
 +
<div class="mw-translate-fuzzy">
 
==Použití==
 
==Použití==
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
# Vyberte objekt, který chcete otočit nebo zkopírovat
 
# Vyberte objekt, který chcete otočit nebo zkopírovat
 
# Stiskněte tlačítko {{KEY|[[Image:Draft Rotate.png|16px]] [[Draft Rotate/cs|Kreslení Otočit]]}} nebo klávesy {{KEY|R}} potom {{KEY|O}}
 
# Stiskněte tlačítko {{KEY|[[Image:Draft Rotate.png|16px]] [[Draft Rotate/cs|Kreslení Otočit]]}} nebo klávesy {{KEY|R}} potom {{KEY|O}}
Line 15: Line 36:
 
# Klikněte na druhý bod ve 3D pohledu nebo zadejte referenční úhel
 
# Klikněte na druhý bod ve 3D pohledu nebo zadejte referenční úhel
 
# Klikněte na třetí bod ve 3D pohledu nebo zadejte úhel otočení
 
# Klikněte na třetí bod ve 3D pohledu nebo zadejte úhel otočení
 +
</div>
 +
 +
===Limitations===
 +
When rotating an object that is based on a [[Sketcher Sketch|Sketcher Sketch]], for example, a feature created with the [[PartDesign Workbench|PartDesign Workbench]] ([[PartDesign Pad|Pad]], [[PartDesign Revolution|Revolution]], etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.
  
 
==Volby==
 
==Volby==
  
 +
<div class="mw-translate-fuzzy">
 
* Stiskněte klávesu {{KEY|X}}, {{KEY|Y}} nebo {{KEY|Z}} po prvním bodu pokud chcete uplatnit vazbu dalšího bodu v příslušné ose.
 
* Stiskněte klávesu {{KEY|X}}, {{KEY|Y}} nebo {{KEY|Z}} po prvním bodu pokud chcete uplatnit vazbu dalšího bodu v příslušné ose.
 
* Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte {{KEY|ENTER}} mezi každou z komponent X, Y a Z.
 
* Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte {{KEY|ENTER}} mezi každou z komponent X, Y a Z.
Line 25: Line 51:
 
*Stisknutím klávesy {{KEY|SHIFT}} během kreslení [[Draft_Constrain/cs|nastavíte vazbu]] vašeho bodu svisle nebo vodorovně v relaci předchozímu bodu.
 
*Stisknutím klávesy {{KEY|SHIFT}} během kreslení [[Draft_Constrain/cs|nastavíte vazbu]] vašeho bodu svisle nebo vodorovně v relaci předchozímu bodu.
 
* Stisknutím tlačítka {{KEY|ESC}} nebo {{KEY|'''Zrušit'''}} zrušíte právě probíhající příkaz.
 
* Stisknutím tlačítka {{KEY|ESC}} nebo {{KEY|'''Zrušit'''}} zrušíte právě probíhající příkaz.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
==Skriptování==
 
==Skriptování==
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Nástroj Otočit může být využit v [[macros/cs|makrech]] a z konzoly Pythonu použitím následující funkce:
 
Nástroj Otočit může být využit v [[macros/cs|makrech]] a z konzoly Pythonu použitím následující funkce:
 +
</div>
  
 
{{Code|code=
 
{{Code|code=
rotate (FreeCAD.Object or list, angle, [center], [axis] ,[copymode])
+
rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
 
}}
 
}}
 +
 +
<div class="mw-translate-fuzzy">
 
* Otočí zadaný objekt nebo objekty obsažené v zadaném seznamum (list) o daný úhel (angle) kolem středu (je-li zadán) s použitím osy jako osy rotace.  
 
* Otočí zadaný objekt nebo objekty obsažené v zadaném seznamum (list) o daný úhel (angle) kolem středu (je-li zadán) s použitím osy jako osy rotace.  
 
* Chybí-li osa (axis), bude otočení provedeno podle svislé osy Z.  
 
* Chybí-li osa (axis), bude otočení provedeno podle svislé osy Z.  
 
* Je-li copymode True, aktuální objekty se nepohnou, ale místo toho jsou vytvořeny jejich kopie.  
 
* Je-li copymode True, aktuální objekty se nepohnou, ale místo toho jsou vytvořeny jejich kopie.  
 
* Vrací objekty (nebo jejich kopie, pokud bylo  copymode True).
 
* Vrací objekty (nebo jejich kopie, pokud bylo  copymode True).
 +
</div>
  
 
Příklad:
 
Příklad:
  
 
{{Code|code=
 
{{Code|code=
import FreeCAD,Draft
+
import FreeCAD, Draft
Draft.rotate(FreeCAD.ActiveDocument.ActiveObject,45)
+
 
 +
Polygon1 = Draft.makePolygon(3, radius=500)
 +
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))
 +
 
 +
Draft.rotate(Polygon1, 45)
 +
 
 +
# Rotation around the origin
 +
angle1 = 63
 +
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
 +
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
 +
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)
 +
 
 +
Polygon2 = Draft.makePolygon(3, radius=1000)
 +
Polygon3 = Draft.makePolygon(5, radius=500)
 +
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
 +
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))
 +
 
 +
# Rotation around another point
 +
angle2 = 60
 +
c = FreeCAD.Vector(3100, 0, 0)
 +
List2 = [Polygon2, Polygon3]
 +
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
 +
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
 +
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)
 
}}
 
}}
 +
 +
{{Docnav
 +
|[[Draft_Move|Move]]
 +
|[[Draft_Offset|Offset]]
 +
|[[Draft_Module|Draft]]
 +
|IconL=Draft_Move.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Offset.svg
 +
}}
 +
 +
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 +
{{clear}}

Latest revision as of 03:25, 21 February 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Move.svg Move
Next: Offset Draft Offset.svg Arrow-right.svg

Draft Rotate.svg Kreslení Otočit

Umístění Menu
Kreslení → Otočit
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
R O
Představen ve verzi
-
Viz také
Nikdo


Popis

Nástroj Otočit otáčí nebo kopíruje vybrané objekty o zadaný úhel kolem bodu v aktuální pracovní rovině. Není-li vybrán žádný objekt, budete vyzváni k výběru objektu.

The Rotate tool can be used on 2D shapes created with the Draft Workbench or Sketcher Workbench, but can also be used on many types of 3D objects such as those created with the Part Workbench or Arch Workbench.

To move without rotation, use Draft Move. To produce various copies in different arrangements use Draft Array, Draft PathArray and Draft PointArray.

Draft Rotate example.jpg

Rotating one object using a center reference point, from one reference angle to another angle


Použití

  1. Vyberte objekt, který chcete otočit nebo zkopírovat
  2. Stiskněte tlačítko Draft Rotate.png Kreslení Otočit nebo klávesy R potom O
  3. Klikněte na střed ve 3D pohledu nebo zadejte souřadnice
  4. Klikněte na druhý bod ve 3D pohledu nebo zadejte referenční úhel
  5. Klikněte na třetí bod ve 3D pohledu nebo zadejte úhel otočení

Limitations

When rotating an object that is based on a Sketcher Sketch, for example, a feature created with the PartDesign Workbench (Pad, Revolution, etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.

Volby

  • Stiskněte klávesu X, Y nebo Z po prvním bodu pokud chcete uplatnit vazbu dalšího bodu v příslušné ose.
  • Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu T nebo zaklikněte/odklikněte políčko Pokračovat. Je-li nastaven pokračovací mód, bude nástroj Otočit hned po ukončení připraven k otočení nebo kopírování bez nutnosti stisknout znovu tlačítko Otočit.
  • Stisknutí klávesy ALT nebo C nebo kliknutí na tlačítko Kopie vytvoří kopii objektu místo jeho otočení. Podržíte-li stisknutou klávesu ALT po kliknutí na druhý bod, budete moci umístit několik kopií, až dokud neuvolníte klávesu ALT.
  • Stisknutím klávesy CTRL během kreslení vynutíte přichycení vašeho bodu k nejbližšímu uchopovacímu místu nezávisle na vzálenosti od něho.
  • Stisknutím klávesy SHIFT během kreslení nastavíte vazbu vašeho bodu svisle nebo vodorovně v relaci předchozímu bodu.
  • Stisknutím tlačítka ESC nebo Zrušit zrušíte právě probíhající příkaz.

Skriptování

Nástroj Otočit může být využit v makrech a z konzoly Pythonu použitím následující funkce:

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • Otočí zadaný objekt nebo objekty obsažené v zadaném seznamum (list) o daný úhel (angle) kolem středu (je-li zadán) s použitím osy jako osy rotace.
  • Chybí-li osa (axis), bude otočení provedeno podle svislé osy Z.
  • Je-li copymode True, aktuální objekty se nepohnou, ale místo toho jsou vytvořeny jejich kopie.
  • Vrací objekty (nebo jejich kopie, pokud bylo copymode True).

Příklad:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)
Arrow-left.svg Previous: Draft Move.svg Move
Next: Offset Draft Offset.svg Arrow-right.svg